King of Time CLI (unofficial)
=================

<!-- toc -->
* [Usage](#usage)
* [Installation](#installation)
* [Commands](#commands)
<!-- tocstop -->

<p align="center">
  <img src="white_rabbit.jpg" />
</p>

# Usage

```sh-session
$ kot checkin
{ result: 'OK', image_result: '0', comment_result: '0' }

$ kot checkout
{ result: 'OK', image_result: '0', comment_result: '0' }
```

# Installation

From the same directory as this README:

```sh-session
$ npm install -g
```

Now the `kot` command should be available on your system.

## Set Tokens

You need to provide two tokens, which can be retrieved by inspecting the HTTP request to `/bprgateway` the
King of Time Web UI makes when submitting a check-in or check-out request.

It is convenient to set these as the below environment variables, although they can also be passed as options
to the `checkin` and `checkout` commands.

* `KINGOFTIME_TOKEN`
* `KINGOFTIME_USER_TOKEN`
# Commands
<!-- commands -->
* [`kot checkin`](#kot-checkin)
* [`kot checkout`](#kot-checkout)
* [`kot help [COMMANDS]`](#kot-help-commands)

## `kot checkin`

Check in

```
USAGE
  $ kot checkin --token <value> --user-token <value>

FLAGS
  --token=<value>       (required) Defaults to the KINGOFTIME_TOKEN environment variable.
  --user-token=<value>  (required) Defaults to the KINGOFTIME_USER_TOKEN environment variable.

DESCRIPTION
  Check in

EXAMPLES
  $ kot checkin
```

## `kot checkout`

Check out

```
USAGE
  $ kot checkout --token <value> --user-token <value>

FLAGS
  --token=<value>       (required) Defaults to the KINGOFTIME_TOKEN environment variable.
  --user-token=<value>  (required) Defaults to the KINGOFTIME_USER_TOKEN environment variable.

DESCRIPTION
  Check out

EXAMPLES
  $ kot checkout
```

## `kot help [COMMANDS]`

Display help for kot.

```
USAGE
  $ kot help [COMMANDS] [-n]

ARGUMENTS
  COMMANDS  Command to show help for.

FLAGS
  -n, --nested-commands  Include all nested commands in the output.

DESCRIPTION
  Display help for kot.
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v5.2.9/src/commands/help.ts)_
<!-- commandsstop -->

## Credits

Inspired by https://github.com/inabajunmr/kotrcli
